package com.bonus.canteen.core.drp.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.drp.dto.*;
import com.bonus.canteen.core.drp.model.DrpUnit;
import com.bonus.canteen.core.drp.vo.DrpUnitListVO;
import com.bonus.canteen.core.drp.vo.DrpUnitPageVO;

import java.math.BigDecimal;
import java.util.List;

public interface DrpUnitService extends IService<DrpUnit> {
   void addDrpUnit(DrpUnitAddDTO content);

   Page<DrpUnitPageVO> getDrpUnitPage(DrpUnitPageDTO content);

   void editDrpUnit(DrpUnitEditDTO content);

   void removeByUnitId(Long unitId);

   BigDecimal conversionUnit(ConversionUnitDTO content);

   List<DrpUnitListVO> listUnitAll(DrpUnitListDTO content);
}
